Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.plugins.processor
Class PluginEntry

    java.lang.Object
      org.apache.logging.log4j.core.config.plugins.processor.PluginEntry

All Implemented Interfaces:
  Serializable

    public class PluginEntry

extends Object
implements Serializable

Memento object for storing a plugin entry to a cache file.

See Also:
  Serialized Form

Field Summary
`static long` | `serialVersionUID`

Constructor Summary
`PluginEntry()`

Method Summary
`String` | `getCategory()`
`String` | `getClassName()`
`String` | `getKey()`
`String` | `getName()`
`boolean` | `isDefer()`
`boolean` | `isPrintable()`
`void` | `setCategory(String category)`
`void` | `setClassName(String className)`
`void` | `setDefer(boolean defer)`
`void` | `setKey(String key)`
`void` | `setName(String name)`
`void` | `setPrintable(boolean printable)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### serialVersionUID

    public static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### PluginEntry

    public PluginEntry()

Method Detail

### getKey

    public String getKey()

### setKey

    public void setKey(String key)

### getClassName

    public String getClassName()

### setClassName

    public void setClassName(String className)

### getName

    public String getName()

### setName

    public void setName(String name)

### isPrintable

    public boolean isPrintable()

### setPrintable

    public void setPrintable(boolean printable)

### isDefer

    public boolean isDefer()

### setDefer

    public void setDefer(boolean defer)

### getCategory

    public String getCategory()

### setCategory

    public void setCategory(String category)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.